%global pypi_name debtcollector

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        A collection of Python deprecation patterns and strategies
License:        ASLv2
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%package -n python3-%{pypi_name}
Summary:        A collection of Python deprecation patterns and strategies
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{pypi_name}
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 2.2.0-1.mga8
+ Revision: 1626393
- new version 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.21.0-2.mga8
+ Revision: 1535049
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 1.21.0-1.mga8
+ Revision: 1450713
- new version: 1.21.0

* Sat Sep 14 2019 tv <tv> 1.20.0-3.mga8
+ Revision: 1440622
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.20.0-2.mga7
+ Revision: 1352422
- Rebuild for python3 3.7
+ kekepower <kekepower>
- Update to version 1.20.0

* Thu Sep 20 2018 umeabot <umeabot> 1.19.0-3.mga7
+ Revision: 1288567
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 kekepower <kekepower> 1.19.0-2.mga7
+ Revision: 1219026
- Use python_provide

* Tue Mar 20 2018 kekepower <kekepower> 1.19.0-1.mga7
+ Revision: 1210794
- Update to version 1.19.0
- Renamed python-debtcollector to python2-debtcollector

* Wed Oct 04 2017 tv <tv> 1.8.0-3.mga7
+ Revision: 1168821
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-2.mga7
+ Revision: 1135364
- Rebuild for python 3.6

* Sat Sep 03 2016 bcornec <bcornec> 1.8.0-1.mga6
+ Revision: 1049856
- Update to upstream 1.8.0 - sources from OpenStack

* Sat Feb 20 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 971084
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 889238
- new version: 0.8.0 + rebuild for python 3.5
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.7.0-1.mga6
+ Revision: 871776
- imported package python-debtcollector

